Open a payment attempt
curl --request POST \
--url https://api.reclack.com/v1/checkout/{reference}/transactions \
--header 'Content-Type: application/json' \
--data '
{
"network": "base",
"wallet_address": "0x71A4f3b1d8e2A5c7E9f0B4d6A8c2E1f329F2",
"email": "[email protected]",
"amount": "29.00"
}
'import requests
url = "https://api.reclack.com/v1/checkout/{reference}/transactions"
payload = {
"network": "base",
"wallet_address": "0x71A4f3b1d8e2A5c7E9f0B4d6A8c2E1f329F2",
"email": "[email protected]",
"amount": "29.00"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
network: 'base',
wallet_address: '0x71A4f3b1d8e2A5c7E9f0B4d6A8c2E1f329F2',
email: '[email protected]',
amount: '29.00'
})
};
fetch('https://api.reclack.com/v1/checkout/{reference}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reclack.com/v1/checkout/{reference}/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'network' => 'base',
'wallet_address' => '0x71A4f3b1d8e2A5c7E9f0B4d6A8c2E1f329F2',
'email' => '[email protected]',
'amount' => '29.00'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.reclack.com/v1/checkout/{reference}/transactions"
payload := strings.NewReader("{\n \"network\": \"base\",\n \"wallet_address\": \"0x71A4f3b1d8e2A5c7E9f0B4d6A8c2E1f329F2\",\n \"email\": \"[email protected]\",\n \"amount\": \"29.00\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.reclack.com/v1/checkout/{reference}/transactions")
.header("Content-Type", "application/json")
.body("{\n \"network\": \"base\",\n \"wallet_address\": \"0x71A4f3b1d8e2A5c7E9f0B4d6A8c2E1f329F2\",\n \"email\": \"[email protected]\",\n \"amount\": \"29.00\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reclack.com/v1/checkout/{reference}/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"network\": \"base\",\n \"wallet_address\": \"0x71A4f3b1d8e2A5c7E9f0B4d6A8c2E1f329F2\",\n \"email\": \"[email protected]\",\n \"amount\": \"29.00\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "txn_2e2df306",
"status": "pending",
"amount": "29.00",
"currency": "USDC",
"network": "base",
"chain_id": 8453,
"hash": "0x2e2d9a41c7f1b86d05e4a3c2b7f9d1083e6a5c4b2d8f7091a3c5e7b9d1f3a5306",
"confirmations": 7,
"receipt_url": "https://pay.reclack.com/pay/txn_2e2df306"
}
}{
"error": {
"type": "invalid_request_error",
"code": "price_not_found",
"message": "No price was found for that id"
}
}{
"error": {
"type": "invalid_request_error",
"code": "price_not_found",
"message": "No price was found for that id"
}
}{
"error": {
"type": "invalid_request_error",
"code": "price_not_found",
"message": "No price was found for that id"
}
}Checkouts
Open Payment Attempt
Start one payer’s attempt against a reference.
POST
/
v1
/
checkout
/
{reference}
/
transactions
Open a payment attempt
curl --request POST \
--url https://api.reclack.com/v1/checkout/{reference}/transactions \
--header 'Content-Type: application/json' \
--data '
{
"network": "base",
"wallet_address": "0x71A4f3b1d8e2A5c7E9f0B4d6A8c2E1f329F2",
"email": "[email protected]",
"amount": "29.00"
}
'import requests
url = "https://api.reclack.com/v1/checkout/{reference}/transactions"
payload = {
"network": "base",
"wallet_address": "0x71A4f3b1d8e2A5c7E9f0B4d6A8c2E1f329F2",
"email": "[email protected]",
"amount": "29.00"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
network: 'base',
wallet_address: '0x71A4f3b1d8e2A5c7E9f0B4d6A8c2E1f329F2',
email: '[email protected]',
amount: '29.00'
})
};
fetch('https://api.reclack.com/v1/checkout/{reference}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reclack.com/v1/checkout/{reference}/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'network' => 'base',
'wallet_address' => '0x71A4f3b1d8e2A5c7E9f0B4d6A8c2E1f329F2',
'email' => '[email protected]',
'amount' => '29.00'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.reclack.com/v1/checkout/{reference}/transactions"
payload := strings.NewReader("{\n \"network\": \"base\",\n \"wallet_address\": \"0x71A4f3b1d8e2A5c7E9f0B4d6A8c2E1f329F2\",\n \"email\": \"[email protected]\",\n \"amount\": \"29.00\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.reclack.com/v1/checkout/{reference}/transactions")
.header("Content-Type", "application/json")
.body("{\n \"network\": \"base\",\n \"wallet_address\": \"0x71A4f3b1d8e2A5c7E9f0B4d6A8c2E1f329F2\",\n \"email\": \"[email protected]\",\n \"amount\": \"29.00\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reclack.com/v1/checkout/{reference}/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"network\": \"base\",\n \"wallet_address\": \"0x71A4f3b1d8e2A5c7E9f0B4d6A8c2E1f329F2\",\n \"email\": \"[email protected]\",\n \"amount\": \"29.00\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "txn_2e2df306",
"status": "pending",
"amount": "29.00",
"currency": "USDC",
"network": "base",
"chain_id": 8453,
"hash": "0x2e2d9a41c7f1b86d05e4a3c2b7f9d1083e6a5c4b2d8f7091a3c5e7b9d1f3a5306",
"confirmations": 7,
"receipt_url": "https://pay.reclack.com/pay/txn_2e2df306"
}
}{
"error": {
"type": "invalid_request_error",
"code": "price_not_found",
"message": "No price was found for that id"
}
}{
"error": {
"type": "invalid_request_error",
"code": "price_not_found",
"message": "No price was found for that id"
}
}{
"error": {
"type": "invalid_request_error",
"code": "price_not_found",
"message": "No price was found for that id"
}
}Overview
Start one payer’s attempt and get back the transaction to sign against. Anonymous and throttled, like the other payer endpoints.Path Parameters
A checkout, payment link or invoice reference.
Body
application/json
Which network the payer chose.
Example:
"base"
Example:
"0x71A4f3b1d8e2A5c7E9f0B4d6A8c2E1f329F2"
Collected only when the page asks for it.
Example:
For a link where the payer names the figure.
Example:
"29.00"
Response
Created
Show child attributes
Show child attributes

